#
# spec file for package xvidenc
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xvidenc
Version:        8.6.0
Release:        2.1
Summary:        An advanced CLI shell script for MEncoder
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://xvidenc.sourceforge.net/
Source0:        %{name}-%{version}.tar.gz
Requires:       MPlayer
Requires:       aften
Requires:       bc
Requires:       findutils
Requires:       gawk
Requires:       gpac
Requires:       lsdvd
Requires:       mailx
Requires:       mkvtoolnix
Requires:       nano
Requires:       ogmtools
Requires:       opus-tools
Requires:       pv
Requires:       vorbis-tools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
xvidenc is an advanced and powerful interactive menu-driven shell script
written for the GNU/Linux operating system which can help you to encode
a DVD, a (S)VCD or a regular video file to the MPEG-4 SP/ASP format using
the MEncoder encoder from the MPlayer project and the Xvid library. It supports
muxing the final encode from AVI to Matroska, from AVI to OGM and from
AVI to the MP4 container.

%prep
%setup -q

%build

%install
# binary
install -D -m 755 %{name} %{buildroot}/%{_bindir}/%{name}

# man
gzip -9 man/%{name}.1
install -D -m 644 man/%{name}.1.gz %{buildroot}/%{_mandir}/man1/%{name}.1.gz

# docs
mkdir -p %{buildroot}/%{_docdir}/%{name}/matrices/Jawor{1,2}CD
install -m 644 doc/* %{buildroot}/%{_docdir}/%{name}
install -m 644 matrices/Jawor1CD/* %{buildroot}/%{_docdir}/%{name}/matrices/Jawor1CD
install -m 644 matrices/Jawor2CD/* %{buildroot}/%{_docdir}/%{name}/matrices/Jawor2CD



%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_docdir}/%{name}
%{_mandir}/man1/%{name}.1%{ext_man}

%changelog
* Tue Oct 18 2016 neutrino8@gmail.com
- Add changes file
